• Home
  • Pardot B2BMA Analytics Troubleshooting:

Pardot B2BMA Analytics Troubleshooting:

Pardot B2BMA Analytics Troubleshooting: In the ‘EBS_BehaviorScore_GetContact’ node, the ‘pi__campaign__c’ field doesn’t exist, is deprecated, or isn’t accessible to the Integration User.


Are you looking to Install Pardot B2BMA and getting this error?

Are you a Pardot Admin looking to Install Pardot B2BMA and getting this error? These errors and errors similar are typically based on the Field Level Security of your Pardot B2BMA Integration User. In order for your Analytics Studio (Tableau CRM) App to work correctly, the Pardot Integration user needs to have access to all the Salesforce fields (datapoints) needed to process the data-set, and return those sweet analytics you’re looking for.

Here’s how to fix it:

IF the node contains ‘Contact’, ‘Lead’, ‘Account’, ‘Campaign’ or ‘Opportunity’, That’s your clue to where to check field level security on the Salesforce side. In the example above, our error is on the EBS_BehaviorScore_GetContact and EBS_BehaviorScore_GetLead.

Our clues here are ‘GetContact’ and ‘GetLead’

The 2nd Part of this error lets us know the field. In both of the cases above, the field is ‘pi_campaign__c’ which is a field added by the Pardot managed package when Pardot is initially setup. In our case, we need to make sure our Pardot Integration user has read access to the ‘pi_campaign__c’ field.

Here are some of the MORE COMMON application errors when attempting the setup of B2BMA:


When creating a B2B Marketing Analytics App from the template, you might see the errors appear:

“Your org does not currently meet minimum data requirements to proceed. Please fix the following issues before creating a ‘B2B Marketing Analytics’ Application:

In the ‘sfdcDigest_Event_EWCUA’ node, the ‘Type’ field doesn’t exist, is deprecated, or isn’t accessible to the Integration User.

In the ‘sfdcDigest_Contact_CWA’ node, the ‘pi__grade__c’ field doesn’t exist, is deprecated, or isn’t accessible to the Integration User.

In the ‘sfdcDigest_Contact_CWA’ node, the ‘pi__score__c’ field doesn’t exist, is deprecated, or isn’t accessible to the Integration User.

In the ‘sfdcDigest_Contact_CWA’ node, the ‘LeadSource’ field doesn’t exist, is deprecated, or isn’t accessible to the Integration User.” 
Read More At: https://help.salesforce.com/articleView?id=000350522&language=en_US&mode=1&type=1

Want to see this all in action? Jermaine Brewer has created this quick helper video to walk you through the fix:

VIDEO: Pardot B2BMA App Error FIX: ‘Your Org does not currently meet minimum data requirements to proceed’

Are you working towards your Pardot Certification, or just want to be a better Pardot Admin? Attend our 2-day Pardot Admin Bootcamp! Space is limited!

Leave a Reply

Your email address will not be published.